{{ $jsonURL := .Get 0 }}
{{ $posts := getJSON $jsonURL }}

<div class="mastodon-archive">

{{- range $post := $posts -}}

  <div class="mastodon-archive-post">

    {{- $published := time $post.published }}
    <div class="mastodon-archive-date">
      <a href="{{ $post.url }}" target="_blank">
        {{ $published.Month }} {{ $published.Day }}, {{ $published.Year }}
      </a>
    </div>

    <div class="mastodon-archive-content">
      {{ safeHTML $post.content }}
    </div>

    {{- if $post.images -}}
    <div class="mastodon-archive-images">
    {{- range $i, $image := $post.images -}}
      {{ partial "image" $image }}
    {{- end -}}
    </div>
    {{- end -}}

    {{- if $post.card -}}
    <div class="mastodon-archive-card">
      {{- $function := "" -}}
      {{- if (eq $post.card.provider "peertube") -}}
        {{- $function = "showPeerTubeVideo" -}}
      {{- else if (eq $post.card.provider "youtube") -}}
        {{- $function = "showYouTubeVideo" -}}
      {{- else -}}
        {{- $function = "console.log" -}}
      {{- end -}}
      {{- $onclick := printf "return %s(this, '%s')" $function $post.card.video_id -}}
      {{- $extra := dict "href" $post.card.url "onclick" $onclick -}}
      {{ partial "image" (merge $post.card.image $extra) }}
    </div>
    {{- end -}}

  </div>

{{- end -}}

</div>
